Bug 540120 - [abrt] crash detected in streamtuner-0.99.99-28.fc12
Summary: [abrt] crash detected in streamtuner-0.99.99-28.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: streamtuner
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Haase
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7bccd223782c263ae9e10fdca3a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 13:34 UTC by Paul Smith
Modified: 2009-11-27 21:57 UTC (History)
3 users (show)

Fixed In Version: 0.99.99-28.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-27 21:51:28 UTC


Attachments (Terms of Use)
File: backtrace (2.68 KB, text/plain)
2009-11-22 13:34 UTC, Paul Smith
no flags Details

Description Paul Smith 2009-11-22 13:34:41 UTC
abrt detected a crash.

Attached file: backtrace
cmdline: streamtuner
component: streamtuner
executable: /usr/bin/streamtuner
kernel: 2.6.31.5-127.fc12.x86_64
package: streamtuner-0.99.99-28.fc12
rating: 3
reason: Process was terminated by signal 11

Comment 1 Paul Smith 2009-11-22 13:34:45 UTC
Created attachment 372897 [details]
File: backtrace

Comment 2 Matthias Haase 2009-11-23 14:07:37 UTC
I can't confirm that segfault - tested on x86_64 and i686 today on fc12 with all updates, sorry...

Stupid workaround is to remove $HOME/.streamtuner/* and re-try...

Comment 3 Paul Smith 2009-11-23 14:28:36 UTC
(In reply to comment #2)
> I can't confirm that segfault - tested on x86_64 and i686 today on fc12 with
> all updates, sorry...
> 
> Stupid workaround is to remove $HOME/.streamtuner/* and re-try...  

I have just removed the $HOME/.streamtuner/*, but no progress: the crash occurs as before.

Paul

Comment 4 Matthias Haase 2009-11-23 15:34:07 UTC
Taking a deeper look into it shows me that we haven't installed abrt yet because we have updated from fc11...
abrt than triggers a known crash which comes from audacious2

http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg1852969.html

I get
id3_file_vfsopen: file failed
id3_file_vfsopen: file failed
id3_file_vfsopen: file failed
...
Warning: Unsafe event_queue of "hide seekbar" with pointer. (Use event_queue_with_data_free instead.)
...

You can try xmms instead of audacious (and change in streamtuner
Edit -> Preferences -> Applications -> Listen to a .m3u from audacious to xmms)

or you can rpm -ev abrt abrt-libs. In that case the bug of audacious (ans all othet bigs) arn't triggerend anymore (and you have to wait some time till audacious is responsible again...)

Comment 5 Matthias Haase 2009-11-23 15:46:35 UTC
I have found that latest audacious build on kojii

 http://koji.fedoraproject.org/koji/buildinfo?buildID=142408

doesn't crash on i686 (IBM Thinkpad T40). There are warnings and some errors

ERROR: libflacng.so: seekable_stream_callbacks.c:96 (seek_callback): Could not seek to 0!
ERROR: libflacng.so: tools.c:209 (read_metadata): Could not reset the decoder!
ERROR: libflacng.so: seekable_stream_callbacks.c:96 (seek_callback): Could not seek to 0!
ERROR: libflacng.so: tools.c:209 (read_metadata): Could not reset the decoder!

but there is no crash...

Comment 6 Matthias Haase 2009-11-23 15:58:25 UTC
I have found that latest audacious build on kojii

 http://koji.fedoraproject.org/koji/buildinfo?buildID=142408

doesn't crash on i686 (IBM Thinkpad T40). There are warnings and some errors

ERROR: libflacng.so: seekable_stream_callbacks.c:96 (seek_callback): Could not seek to 0!
ERROR: libflacng.so: tools.c:209 (read_metadata): Could not reset the decoder!
ERROR: libflacng.so: seekable_stream_callbacks.c:96 (seek_callback): Could not seek to 0!
ERROR: libflacng.so: tools.c:209 (read_metadata): Could not reset the decoder!

but there is no crash...

Comment 7 Paul Smith 2009-11-23 16:11:33 UTC
Thanks, Matthias.

True, I did upgraded to F12 from F11, but I do have abrt installed:

$ rpm -qa abrt
abrt-0.0.11-2.fc12.x86_64
$ 

Changing audacious to xmms in the preferences does not fix the problem: the crash persists.

Paul

Comment 8 Michael Schwendt 2009-11-23 16:28:42 UTC
The backtrace report here points into "pixman". streamtuner doesn't have a direct dependency on pixman.

Is this segfault reproducible? Is the backtrace complete? Are there special steps on how to reproduce it?

[...]

What "known crash which comes from audacious2" is being referred to here?

There is one known segfault in Fedora 12 with Audacious 2.1 and related to loading playlists on x86_64: bug 538379 - it's not always reproducible, not reproducible on i686 at all, and might or might not be fixed in upstream Audacious development. It shows symptoms of memory corruption and/or a race condition. An unrelated problem is that loading playlists, which contain network uris (e.g. http://), takes long as data are loaded from the network. To the user it looks as if the player freezes, but actually it just downloads data.

Comment 9 Matthias Haase 2009-11-23 16:42:50 UTC
(In reply to comment #8)
> The backtrace report here points into "pixman". streamtuner doesn't have a
> direct dependency on pixman.
Michael...

pixman may be the problem too but I can't the segfault reproduce at this time..

> Is this segfault reproducible? Is the backtrace complete? Are there special
> steps on how to reproduce it?
> 
> [...]
> 
> What "known crash which comes from audacious2" is being referred to here?
Audacious crashes here some times - not always - in i686.
I have updated to your latest build from koji and found it stable...

> An unrelated problem is that loading playlists, which contain
> network uris (e.g. http://), takes long as data are loaded from the network. To
> the user it looks as if the player freezes, but actually it just downloads
> data.  

At first, Paul has to check, if streamtuner segfaults on startup always or
if abrt shows later the segfault on click on some stream uri which calls audacious (which takes long time to load the data and freezes audacious for that time).

Comment 10 Paul Smith 2009-11-23 17:09:17 UTC
The crash occurs when I click on the icon "local".

Paul

Comment 11 Matthias Haase 2009-11-23 17:10:48 UTC
(In reply to comment #8)
> The backtrace report here points into "pixman".
Have looked into sources of pixman-general.c (0.16)
Line 58 is begin of function after getting some parameters (op, src, mask, dest...) in libpixman-1.so.0...

But no problem here... Can backtrace that tomorrow on x86_64...

Comment 12 Matthias Haase 2009-11-23 17:14:24 UTC
(In reply to comment #10)
> The crash occurs when I click on the icon "local".
> 
> Paul  

In that case is has nothing to do with audacious.
Have you defined a path to your local musiclibrary and is that path readable?

Comment 13 Matthias Haase 2009-11-23 17:32:16 UTC
(In reply to comment #10)
> The crash occurs when I click on the icon "local".

Paul... I can reproduce that now.

Removing path to local library 
removing $HOME/.streamtuner/cache/local
and leaving local plugin enabled -> signal 11.

As a workaround you have to define the path to your local mp3's at first or you have to disable the local plugin.

The caching of local data "hides" the problem for me ;-)
I can patch streamtuner to avoid the segfault, but this may take some time, may be on weekend...

Comment 14 Paul Smith 2009-11-23 18:18:52 UTC
Thanks again, Matthias. I will be waiting for the patched streamtuner, but take your time. No rush is needed!

Paul

Comment 15 Fedora Update System 2009-11-25 16:40:09 UTC
streamtuner-0.99.99-30.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/streamtuner-0.99.99-30.fc12

Comment 16 Fedora Update System 2009-11-25 16:42:29 UTC
streamtuner-0.99.99-26.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/streamtuner-0.99.99-26.fc10

Comment 17 Fedora Update System 2009-11-25 17:19:41 UTC
streamtuner-0.99.99-28.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/streamtuner-0.99.99-28.fc11

Comment 18 Matthias Haase 2009-11-25 17:22:33 UTC
(In reply to comment #14)
> Thanks again, Matthias. I will be waiting for the patched streamtuner, but take
> your time. No rush is needed!
> 
> Paul  

Patched streamtuner is there...
http://koji.fedoraproject.org/koji/buildinfo?buildID=143039

--
Regards
       Matthias

Comment 19 Paul Smith 2009-11-27 11:45:03 UTC
(In reply to comment #18)
> Patched streamtuner is there...
> http://koji.fedoraproject.org/koji/buildinfo?buildID=143039

Thanks, Matthias. It does not crash anymore with streamtuner-0.99.99-30.fc12.

Paul

Comment 20 Fedora Update System 2009-11-27 21:51:23 UTC
streamtuner-0.99.99-26.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-11-27 21:56:57 UTC
streamtuner-0.99.99-30.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-11-27 21:57:25 UTC
streamtuner-0.99.99-28.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.